Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access
Class FileEntryCollection

    ru.biosoft.access.DataElementSupport
      |
      +--ru.biosoft.access.AbstractDataCollection
            |
            +--ru.biosoft.access.EntryCollection
                  |
                  +--ru.biosoft.access.FileEntryCollection

public class FileEntryCollection
extends EntryCollection

Implements simple access procedures to databases in EMBL-like format.

todo it is necessary to implement JobControl for index building

Field Summary
`final static int` | `MAX_ENTRY_STR_LENGTH` If size of entry more than this constant then Entry store its data in file.
`final static String` | `USE_INDEX_FILE` Property to indicate whether index file should be used (by default it is true).

Fields inherited from class ru.biosoft.access.EntryCollection
`ENTRY_DELIMITERS_PROPERTY, ENTRY_END_PROPERTY, ENTRY_ID_PROPERTY, ENTRY_START_PROPERTY`

Constructor Summary
`FileEntryCollection(DataCollection parent, Properties properties)` Loads the data collection and its indexes (currently only for id).

Method Summary
`void` | `close()` Closes data collection, releases all resources.
`boolean` | `contains(String name)` Check is file entry collection contains data element with specified name.
`List` | `getNameList()`
`int` | `getSize()` Return size of data collection.
`boolean` | `isMutable()` Determine is this collection mutable (writable).
`Iterator` | `iterator()` Return iterator for data collection.

Methods inherited from class ru.biosoft.access.EntryCollection
`getDataElementType`

Methods inherited from class ru.biosoft.access.AbstractDataCollection
`addDataCollectionListener, contains, get, getCompleteName, getDescription, getInfo, isNotificationEnabled, isPropagationEnabled, propagateElementChanged, propagateElementWillChange, put, release, remove, removeDataCollectionListener, setNotificationEnabled, setPropagationEnabled, toString`

Methods inherited from class ru.biosoft.access.DataElementSupport
`getName, getOrigin, registerConstructorWithBadEqual`

Field Detail

### MAX_ENTRY_STR_LENGTH

    public final static int MAX_ENTRY_STR_LENGTH

  If size of entry more than this constant then Entry store its data in file.

### USE_INDEX_FILE

    public final static String USE_INDEX_FILE

  Property to indicate whether index file should be used (by default it is true).

Constructor Detail

### FileEntryCollection

    public FileEntryCollection(DataCollection parent, Properties properties)
                          throws java.lang.Exception

  Loads the data collection and its indexes (currently only for id). Used by CollectionFactory
  Parameters:
    parent - Parent data collection.
    properties - Properties for creating FileEntryCollection
  Throws:
    Exception
  See Also:
    CollectionFactory
  todo "see Format of config file"

Method Detail

### close

    public void close()
                throws java.lang.Exception

  Closes data collection, releases all resources. Close data file and index file. This method invalidates DataCollection instance.
  Throws:
    java.io.IOException - When io error occured.

### contains

    public boolean contains(String name)

  Check is file entry collection contains data element with specified name.
  Parameters:
    name - Name of data element.
  Returns: `true` - if contains, `false` otherwise.

### getNameList

    public List getNameList()

### getSize

    public int getSize()

  Return size of data collection.
  Returns: Size of data collection.

### isMutable

    public boolean isMutable()

  Determine is this collection mutable (writable).
  Returns: Always return TRUE.

### iterator

    public Iterator iterator()

  Return iterator for data collection. Method remove() supported only for mutable collections. After remove(),put(),get() iterator will be invalid.
  Returns: Iterator

Association Links

to Class java.lang.String

  Property to indicate whether index file should be used (by default it is true).

to Class java.io.RandomAccessFile

  The data collection file.

to Class ru.biosoft.access.IndexTable

  Indexes for entry searching by identificator (primary key).

  see IndexTable

to Class java.util.List

  Unmodefiable list of names.

to Class java.lang.String

  End tag of Entry. (e.g // - for EMBL).

to Class java.lang.String

  Filename of the data file.

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM